<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\PdfListen\ShowPdfListen;


class ShowPdfListenView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'pdflisten/showpdflisten.sgt';
  }

  
  protected function getBodyDataModulArray()
  {
    
    
    return $this->viewModel->listAry;
  }

  

  protected function getHeaderDataModulArray()
  {
    $dataModul = new \Datamodul();

    $dataModul->headerTitle = $this->viewModel->headerTitle;
    $dataModul->druckAutomatischMeldung = $this->viewModel->druckAutomatischMeldung;
    $dataModul->listgroesseClass = $this->viewModel->listgroesseClass;
    $dataModul->toolId = $this->viewModel->toolId;

    return array($dataModul);
  }
} 



class ShowPdfListenViewModel
{
  
  
  
  public $listAry;
  public $headerTitle;
  public $druckAutomatischMeldung;
  public $listgroesseClass;
  public $toolId;
  public $infoButton;
}